#
# spec file for package libcpath
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libcpath
%define lname	libcpath1
Version:        20240414
Release:        1.3
Summary:        Library for C path functions
License:        LGPL-3.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://github.com/libyal/libcpath
Source:         https://github.com/libyal/libcpath/releases/download/%version/libcpath-alpha-%version.tar.gz
Source2:        https://github.com/libyal/libcpath/releases/download/%version/libcpath-alpha-%version.tar.gz.asc
Source9:        %name.keyring
BuildRequires:  c_compiler
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcerror) >= 20240413
BuildRequires:  pkgconfig(libclocale) >= 20240414
BuildRequires:  pkgconfig(libcsplit) >= 20240414
BuildRequires:  pkgconfig(libuna) >= 20240414
# Various notes: https://en.opensuse.org/libyal

%description
A library for C path functions. Part of the libyal family of libraries.

%package -n %lname
Summary:        Library for C path functions
Group:          System/Libraries

%description -n %lname
A library for C path functions. Part of the libyal family of libraries.

%package devel
Summary:        Development files for libcpath, a C path library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
A library for C path functions.

This subpackage contains libraries and header files for developing
applications that want to make use of libcpath.

%prep
%autosetup -p1

%build
echo "V_%version { global: *; };" >v.sym
%configure --disable-static --enable-wide-character-type LDFLAGS="-Wl,--version-script=$PWD/v.sym"
grep '  local' config.log && exit 1
%make_build

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%ldconfig_scriptlets -n %lname

%files -n %lname
%license COPYING*
%_libdir/libcpath.so.1*

%files devel
%_includedir/libcpath*
%_libdir/libcpath.so
%_libdir/pkgconfig/libcpath.pc
%_mandir/man3/libcpath.3*

%changelog
* Sun Apr 14 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240414
  * No changelog was provided
* Tue Jan  9 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240109
  * No changelog was provided
* Sat Nov 26 2022 Jan Engelhardt <jengelh@inai.de>
- Delete system-libs.patch (not needed - system libs are
  autodetected)
* Mon Aug  8 2022 Jan Engelhardt <jengelh@inai.de>
- Add forced symvers
* Fri Jan 21 2022 Jan Engelhardt <jengelh@inai.de>
- Force autoreconf run due to patch presence.
* Sat Jan  8 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 20220108
  * No changes, version bump only
* Wed May 12 2021 Jan Engelhardt <jengelh@inai.de>
- Update to snapshot 20210411 (b0c579ef)
  * No changelog was provided
- Add system-libs.patch
* Sun Dec 27 2020 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20200623
  * correction to error path of join functions
- remove    BuildRequires:  pkg-config
* Sat Apr 13 2019 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20181228
  * Worked on libcpath_path_get_sanitized_path_wide
* Wed Feb 15 2017 Greg.Freemyer@gmail.com
- update to v0~20170108
* Tue Jan  6 2015 Greg.Freemyer@gmail.com
- update to v0~20150101
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- start using libcstring from OBS, not internal version
* Thu Aug 14 2014 Greg.Freemyer@gmail.com
-  update to v0~20140105
  * 2014 update
  * updated dependencies
* Thu Nov 14 2013 Greg.Freemyer@gmail.com
- update to v0~20130809
  * updated dependencies
- remove xz buildrequires, not needed
* Tue Jul 30 2013 Greg.Freemyer@gmail.com
- update to v0~20130609
  * fix in .pc.in file
  * removed CRT functions
  * updated dependencies
  * textual changes
  * small updates
  * 2013 update
- use gz compression to simplyfy download/convert
* Wed Apr  3 2013 jengelh@inai.de
- Initial package (version 0~20121225) for build.opensuse.org
